using System;
using System.Collections.Generic;
class ZADATAK
{
    static void Main()
    {
        int N = int.Parse(Console.ReadLine());
        List<int> dementori = new List<int>(N);
        string[] unos = Console.ReadLine().Split();
        for (int i = 0; i < N; i++)
        {
            int dementor = int.Parse(unos[i]);
            dementori.Add(dementor);
        }
        string resenje = "";
        int Hari = 0;
        dementori.Sort();
        int br = 0;
        while (dementori.Count != 0)
        {
            int levo = dementori[0];
            int desno = dementori[dementori.Count - 1];
            int najblizi = int.MaxValue;
            int najbliza_razdaljina = int.MaxValue;
            while(levo <= desno)
            {
                int sredina = levo + (desno - levo) / 2;
                int razdaljina = Math.Abs(dementori[sredina] - Hari);
                if (razdaljina < najblizi)
                {
                    najbliza_razdaljina = razdaljina;
                    najblizi = dementori[sredina];
                    levo = sredina + 1;
                }
                else
                    desno = sredina - 1;
            }
            if (najblizi == Hari)
                break;
            else if (najblizi < Hari)
            {
                resenje += 2;
                dementori.Remove(najblizi);
                br++;
            }
            else
            {
                resenje += 1;
                dementori.Remove(najblizi);
                br++;
            }
        }
        Console.WriteLine(br);
        Console.WriteLine(resenje);
    }
}